import { type PropsWithChildren } from 'react';
import { TelemetryClient } from './client.js';
export interface TelemetryContext {
    client: TelemetryClient;
}
export interface TelemetryProviderProps extends PropsWithChildren {
    disabled?: boolean;
    client?: TelemetryClient;
    endpoint?: string;
    debug?: boolean;
}
export declare function TelemetryProvider({ children, client, ...props }: TelemetryProviderProps): JSX.Element;
export declare const telemetryContext: import("react").Context<TelemetryContext>;
export declare function useTelemetryContext(): TelemetryContext;
